%--------------------------------- 
% NPCODE.m 
%  
% A user INCLUDE code
%
% LNP(I,J,K) = node K, on side J
% of element I.
%-------------------------------------

% --------------------------------
% Set n-factor for number of nodes 
% on a side
% --------------------------------
   if NNPE == 6 | NNPE == 8
      n=2;
   else
      n=1;
   end  



% ------------------------
% Initialize NPcode array
% ------------------------
for i=1:NUMNP
	NPcode(i)=0;
end


for I=1:NUMNP
	if abs(XORD(I)+25) <= 0.01
		%  Set NPcode = 1 on  left boundary
		NPcode(I)=1;
	elseif abs(sqrt(XORD(I).^2+YORD(I).^2)-3.75) < 0.01
		%  Set NPcode = 2 on  circle
		NPcode(I)=2;
	elseif abs(XORD(I)-25) <= 0.01
		%  Set NPcode = 3 on  right boundary
		NPcode(I)=3;
	elseif abs(YORD(I)-10) < 0.01
		%  Set NPcode=4 on top boundary
		NPcode(I)=4;
	end
end




